Bug 540404 - Awstats: awredir.pl - require security key by default and enhance security of parameter sanitizing function
Awstats: awredir.pl - require security key by default and enhance security of...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://awstats.sourceforge.net/docs/a...
impact=moderate,source=osssecurity,re...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-23 05:10 EST by Jan Lieskovsky
Modified: 2010-03-22 14:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-22 14:53:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-11-23 05:10:34 EST
Advanced Web Statistics (awstat) upstream has released new (6.95) version, addressing two security related issues. Quoting from awstats Changelog:

- Fix security in awredir.pl script by adding a security key required by
  default.
- Enhance security of parameter sanitizing function.

CVE Request:
------------
http://www.openwall.com/lists/oss-security/2009/11/22/1
Comment 1 Jan Lieskovsky 2009-11-23 05:13:10 EST
These issues affect the versions of the awstats package, as shipped 
with Fedora releases of 10, 11, 12 and probably also as shipped
with Extra Packages for Enterprise Linux 5 (EPEL-5) project.

Please upgrade to new version.
Comment 2 Fedora Update System 2009-11-26 00:49:28 EST
awstats-6.95-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/awstats-6.95-1.fc12
Comment 3 Fedora Update System 2009-11-30 23:23:55 EST
awstats-6.95-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.